> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://apidocs.polytomic.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server. # List Bulk Syncs GET https://app.polytomic.com/api/bulk/syncs Lists bulk syncs in the caller's organization. Results are returned as a single `data` array. This version of the endpoint supports the `active` filter but does not support cursor pagination, `limit`, or `page_token` query parameters. If you need a cursor-paginated bulk sync list, use API version `2025-09-18` or later. > 📘 To retrieve a specific sync, use > [`GET /api/bulk/syncs/{id}`](../../../api-reference/bulk-sync/get) > instead of filtering the list client-side. Reference: https://apidocs.polytomic.com/api-reference/bulk-sync/list ## Authentication - `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only) - `Authorization` header (bearer token, required) — This is the Polytomic API key ## Request ### Query parameters - `active` (boolean, optional) — Filter to only active (true) or only paused (false) syncs. Omit to return both. ## Response ### 200 OK - `data` (list of V2BulkSyncResponse, optional, nullable) ## Errors ### 401 Unauthorized Error Unauthorized - `code` (integer, optional) — Application-specific error code. - `context` (map from string to any, optional) — Application context. - `error` (string, optional) — Error message. - `status` (string, optional) — Status text. ### 500 Internal Server Error Internal Server Error - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ## Types ### V2BulkSyncResponse - `active` (boolean, optional) - `automatically_add_new_fields` (enum, optional) - Allowed values: `all`, `onlyIncremental`, `onlyNonIncremental`, `none` - `automatically_add_new_objects` (enum, optional) - Allowed values: `all`, `onlyIncremental`, `onlyNonIncremental`, `none` - `concurrency_limit` (integer, optional, nullable) — Per-sync concurrency limit override. - `created_at` (string, optional) - `created_by` (OutputActor, optional) - `data_cutoff_timestamp` (string, optional, nullable) - `destination_configuration` (map from string to any, optional, nullable) — Destination-specific bulk sync configuration. e.g. output schema name, s3 file format, etc. - `destination_connection_id` (string, optional) - `disable_record_timestamps` (boolean, optional, default: false) - `id` (string, optional) - `mode` (enum, optional) - Allowed values: `snapshot`, `replicate` - `name` (string, optional) — Name of the bulk sync - `normalize_names` (enum, optional) - Allowed values: `enabled`, `disabled`, `legacy` - `organization_id` (string, optional) - `policies` (list of string, optional) — List of permissions policies applied to the bulk sync. - `resync_concurrency_limit` (integer, optional, nullable) — Per-sync resync concurrency limit override. - `schedule` (BulkSchedule, optional) - `source_configuration` (map from string to any, optional, nullable) — Source-specific bulk sync configuration. e.g. replication slot name, sync lookback, etc. - `source_connection_id` (string, optional) - `updated_at` (string, optional) - `updated_by` (OutputActor, optional) - `discover` (boolean, optional, deprecated) — DEPRECATED: Use automatically_add_new_objects/automatically_add_new_fields instead ### OutputActor - `id` (string, optional) - `name` (string, optional) - `type` (string, optional) ### BulkSchedule - `frequency` (enum, required) - Allowed values: `manual`, `continuous`, `hourly`, `daily`, `weekly`, `custom`, `builder`, `runafter`, `multi`, `dbtcloud` - `day_of_month` (string, optional) - `day_of_week` (string, optional) - `hour` (string, optional) - `minute` (string, optional) - `month` (string, optional) - `multi` (BulkMultiScheduleConfiguration, optional) ### BulkMultiScheduleConfiguration - `schedules` (list of BulkItemizedSchedule, required, nullable) - `type` (string, optional, nullable) ### BulkItemizedSchedule - `item` (enum, required) - Allowed values: `none`, `incrementalFields`, `nonincrementalFields` - `schedule` (BulkSchedule, required) ## Examples **Response** ```json { "data": [ { "active": true, "automatically_add_new_fields": "all", "automatically_add_new_objects": "all", "concurrency_limit": 50, "created_at": "2024-01-15T09:30:00Z", "created_by": { "id": "12345678-1234-1234-1234-123456789012", "name": "John Doe", "type": "user" }, "data_cutoff_timestamp": "2023-04-25T12:00:00Z", "destination_configuration": { "schema": "my_schema" }, "destination_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d", "disable_record_timestamps": false, "id": "248df4b7-aa70-47b8-a036-33ac447e668d", "mode": "snapshot", "name": "My Bulk Sync", "normalize_names": "enabled", "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d", "policies": [ "248df4b7-aa70-47b8-a036-33ac447e668d" ], "resync_concurrency_limit": 10, "schedule": { "frequency": "manual", "day_of_month": "1", "day_of_week": "monday", "hour": "0", "minute": "0", "month": "1", "multi": { "schedules": [ { "item": "none" } ], "type": "string" } }, "source_configuration": { "replication_slot": "slot" }, "source_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d", "updated_at": "2024-01-15T09:30:00Z", "updated_by": { "id": "12345678-1234-1234-1234-123456789012", "name": "John Doe", "type": "user" }, "discover": true } ] } ``` **SDK Code** ```typescript import { PolytomicClient } from "polytomic"; async function main() { const client = new PolytomicClient({ token: "YOUR_TOKEN_HERE", version: "X-Polytomic-Version", }); await client.bulkSync.list({}); } main(); ``` ```python from polytomic import Polytomic client = Polytomic( token="YOUR_TOKEN_HERE", version="X-Polytomic-Version", ) client.bulk_sync.list() ``` ```go package example import ( context "context" polytomic "github.com/polytomic/polytomic-go/v24" client "github.com/polytomic/polytomic-go/v24/client" option "github.com/polytomic/polytomic-go/v24/option" ) func do() { client := client.NewClient( option.WithToken( "YOUR_TOKEN_HERE", ), option.WithVersion( "X-Polytomic-Version", ), ) request := &polytomic.BulkSyncListRequest{} client.BulkSync.List( context.TODO(), request, ) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.polytomic.com/api/bulk/syncs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Polytomic-Version"] = 'X-Polytomic-Version' request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.polytomic.com/api/bulk/syncs") .header("X-Polytomic-Version", "X-Polytomic-Version") .basicAuth("", "") .asString(); ``` ```php request('GET', 'https://app.polytomic.com/api/bulk/syncs', [ 'headers' => [ 'X-Polytomic-Version' => 'X-Polytomic-Version', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://app.polytomic.com/api/bulk/syncs"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "X-Polytomic-Version": "X-Polytomic-Version", "Authorization": "Basic \(credentials)" ] let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/bulk/syncs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```